# Node Alias Link Display

**Node Alias Link Display** automatically replaces internal links in content that point to `/node/{nid}` with the corresponding path alias (e.g., `/news/my-article`). This improves the readability and SEO of your content by ensuring friendly URLs are always used, even when editors paste canonical node links.

## Summary

Replaces internal node links like `/node/123` in content with their friendly path alias (e.g., `/news/my-title`) for better SEO and user experience. Works as a Drupal text filter.

## Features

- Automatically scans rendered content for anchor tags linking to `/node/{nid}`.
- Replaces canonical node links with their proper path aliases.
- Fully multilingual: respects language context and path alias translations.
- SEO-friendly: improves URL readability for users and search engines.
- Integrated as a Drupal **text filter**—can be enabled per text format.
- Zero configuration required after enabling the filter in a text format.

### When to use this module?

- When editors paste internal node links using the `/node/123` format into WYSIWYG editors.
- When you're aiming to ensure all rendered URLs are SEO-friendly.
- In multilingual sites where canonical URLs do not reflect the translated alias.

## Post-Installation

Once installed:

1. Navigate to **Configuration > Content authoring > Text formats and editors**.
2. Edit the text format you want this filter to apply to (e.g., "Full HTML").
3. In the **Filters** section, enable **Node Alias Link Display**.
4. Save the text format.

No further configuration is necessary. The filter will automatically convert all `/node/{nid}` links to aliases at render time.

## Similar Projects

- **Linkit** – Provides a UI for linking to internal content with aliases, but does not affect how links render.
- **Pathologic** – Handles relative URLs and broken links but is not focused on alias replacement.
- **Path Filter** – Converts `/node/{nid}` links but lacks multilingual support or language-awareness.

**Node Alias Link Display** stands out for its multilingual capabilities and simplicity of integration as a single text filter.

---

Have a feature request or feedback? Create an issue on the project page or contribute directly!
